BLKDEV_GET_BY_PATH(9)

NAME
blkdev_get_by_path - open a block device by name

SYNOPSIS

struct block_device * blkdev_get_by_path(const char * path, fmode_t mode, void * holder);

ARGUMENTS

path
    path to the block device to open

mode
    FMODE_* mask

holder
    exclusive holder identifier

DESCRIPTION

Open the blockdevice described by the device file at path. mode and holder are identical to blkdev_get.

On success, the returned block_device has reference count of one.

CONTEXT

Might sleep.

RETURNS

Pointer to block_device on success, ERR_PTR(-errno) on failure.

COPYRIGHT